Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

Retry document processing

POST
/api/v1/documents/{id}/retry
curl --request POST \
--url https://api.yggy.tech/api/v1/documents/example/retry \
--header 'Authorization: Bearer <token>'

Re-trigger processing for a document. Purges the old invocation, resets the document status to PENDING, and re-triggers the workflow using the already-stored file.

id
required
string
host
string | null
x-yggy-organization-id
string | null

Document requeued for processing

Media type application/json
object
success
required
boolean
documentId
required
string
invocationId
required
string
status
required
string
Allowed values: queued
message
required
string
Example
{
"status": "queued"
}

No stored file available for retry

Media type application/json
object
success
boolean
error
required
string
message
string
Example
{
"success": false
}

Document not found

Media type application/json
object
success
boolean
error
required
string
message
string
Example
{
"success": false
}

Document is already being processed

Media type application/json
object
success
boolean
error
required
string
message
string
Example
{
"success": false
}